gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# Glib::Value< Glib::RefPtr< Gtk::RecentInfo > > Class Template Reference

Inheritance diagram for Glib::Value< Glib::RefPtr< Gtk::RecentInfo > >:
[legend]
Collaboration diagram for Glib::Value< Glib::RefPtr< Gtk::RecentInfo > >:
[legend]

List of all members.

## Public Types
typedef Glib::RefPtr < Gtk::RecentInfo > | CppType
typedef GtkRecentInfo* | CType
## Public Member Functions
void | set (const CppType& data)
CppType | get () const
## Static Public Member Functions
static GType | value_type ()

### template <>
class Glib::Value< Glib::RefPtr< Gtk::RecentInfo > >

## Member Typedef Documentation

typedef Glib::RefPtr<Gtk::RecentInfo> Glib::Value< Glib::RefPtr< Gtk::RecentInfo > >::CppType

typedef GtkRecentInfo* Glib::Value< Glib::RefPtr< Gtk::RecentInfo > >::CType

## Member Function Documentation

CppType Glib::Value< Glib::RefPtr< Gtk::RecentInfo > >::get | ( |  | ) | const

void Glib::Value< Glib::RefPtr< Gtk::RecentInfo > >::set | ( | const CppType & | data | ) |

static GType Glib::Value< Glib::RefPtr< Gtk::RecentInfo > >::value_type | ( |  | ) | `[static]`

Reimplemented from Glib::ValueBase_Boxed.

The documentation for this class was generated from the following file:

- gtkmm/recentinfo.h